# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global barename socks-client

Name:               nodejs-socks-client
Version:            1.1.4
Release:            3%{?dist}
Summary:            A SOCKS proxy client supporting SOCKS 4, 4a, and 5

License:            MIT
URL:                https://www.npmjs.org/package/socks-client
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch

%if 0%{?fedora}
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%description
A SOCKS proxy client supporting SOCKS 4, 4a, and 5. (also supports
BIND/Associate)

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/socks-client
cp -pr package.json lib index.js \
    %{buildroot}%{nodejs_sitelib}/socks-client

%nodejs_symlink_deps

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/socks-client/

%changelog
* Mon Aug 31 2015 Piotr Popieluch - 1.1.4-3
- remove license macro from changelog, this fails in bodhi for some reason

* Mon Aug 31 2015 Ralph Bean <rbean@redhat.com> - 1.1.4-2
- Move license to license tag.
- Remove unnecessary dep declarations.
- Change Source0 to https.

* Fri Jul 10 2015 Ralph Bean <rbean@redhat.com> - 1.1.4-1
- Initial packaging for Fedora.
